Bug 987829 - virt-resize error: "lvm_set_filter: vgchange: Couldn't find device with uuid .. Refusing activation of partial LV"
virt-resize error: "lvm_set_filter: vgchange: Couldn't find device with uuid ...
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-24 05:08 EDT by Richard W.M. Jones
Modified: 2014-09-07 19:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pastebin.txt (39.10 KB, text/plain)
2013-07-26 03:28 EDT, Richard W.M. Jones
no flags Details

  None (edit)
Description Richard W.M. Jones 2013-07-24 05:08:15 EDT
Description of problem:

Original problem report was here:
https://www.redhat.com/archives/libguestfs/2013-July/msg00011.html

# virt-resize -d --expand /dev/sda1 --LV-expand /dev/mapper/prop-home
prop-1.img prop-expand.img
command line: virt-resize -d --expand /dev/sda1 --LV-expand
/dev/mapper/prop-home prop-1.img prop-expand.img
Examining prop-1.img ...
libguestfs: trace: add_drive "prop-1.img" "readonly:true"
libguestfs: trace: add_drive = 0
libguestfs: trace: add_drive "prop-expand.img" "readonly:false"
libguestfs: trace: add_drive = 0
libguestfs: trace: launch
libguestfs: trace: get_tmpdir
libguestfs: trace: get_tmpdir = "/tmp"
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
libguestfs: trace: disk_format "/var/lib/libvirt/images/prop-expand.img"
libguestfs: trace: disk_format = "raw"
libguestfs: trace: get_cachedir
libguestfs: trace: get_cachedir = "/var/tmp"
[...] 100% --:--
libguestfs: trace: launch = 0
libguestfs: trace: lvm_set_filter "/dev/sda"
libguestfs: trace: lvm_set_filter = -1 (error)
Fatal error: exception Guestfs.Error("lvm_set_filter: vgchange:
Couldn't find device with uuid zouQ8X-qxqJ-mp6p-pzg3-mi2i-K9YM-A763Kc.
  Refusing activation of partial LV home. Use --partial to override.
  Refusing activation of partial LV swap. Use --partial to override.
  R
libguestfs: trace: close
libguestfs: trace: internal_autosync
libguestfs: trace: internal_autosync = 0

Version-Release number of selected component (if applicable):

libguestfs-tools-c-1.20.9-1.fc18.x86_64
libguestfs-tools-1.20.9-1.fc18.x86_64
libguestfs-1.20.9-1.fc18.x86_64

Host is Fedora 18.
Guest is Fedora 18.

How reproducible:

Unknown.
Comment 1 Richard W.M. Jones 2013-07-25 04:03:45 EDT
The cause of this is because the source VM has two disks,
with the volume group spread over these disks.

virt-resize does not currently support guests with multiple
disks, although it should be fixed to do this.
Comment 2 Alex Regan 2013-07-25 23:11:33 EDT
Hi, I've created a paste with more details:

http://pastebin.com/3T9dt8RH

I had to transfer the guest image to a fedora15 host and create the new vm with the guest image using "virsh create" because I couldn't do it on the production fedora18 system.

The guest is fedora18 x86_64.

virt-resize appears to have the same problem, however.
Comment 3 Alex Regan 2013-07-25 23:16:25 EDT
I should add the version of libguestfs being used on fc15:

# rpm -qva|grep libguest
libguestfs-tools-c-1.10.12-1.fc15.x86_64
libguestfs-1.10.12-1.fc15.x86_64
libguestfs-tools-1.10.12-1.fc15.x86_64

And the df output from the guest:

# df -h
Filesystem                Size  Used Avail Use% Mounted on
devtmpfs                  7.9G     0  7.9G   0% /dev
tmpfs                     7.9G     0  7.9G   0% /dev/shm
tmpfs                     7.9G  807M  7.1G  11% /run
tmpfs                     7.9G     0  7.9G   0% /sys/fs/cgroup
/dev/mapper/propserv-root   15G  8.5G  5.2G  63% /
tmpfs                     7.9G   12K  7.9G   1% /tmp
/dev/mapper/propserv-boot  477M   95M  358M  21% /boot
/dev/mapper/propserv-home  222G  215G  7.5G  97% /home

And the disk sections from the vm:

    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/backup/propserv-backup-072113.img'/>
      <target dev='vda' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x06' function='0x0'/>
    </disk>
    <disk type='file' device='disk'>
      <driver name='qemu' type='qcow2'/>
      <source file='/var/backup/propserv-1-backup-072113.img'/>
      <target dev='vdb' bus='virtio'/>
      <address type='pci' domain='0x0000' bus='0x00' slot='0x07' function='0x0'/>
    </disk>
Comment 4 Richard W.M. Jones 2013-07-26 03:28:12 EDT
Created attachment 778691 [details]
pastebin.txt

Attached pastebin content, since these tend to expire.
Comment 5 Alex Regan 2013-10-01 12:42:03 EDT
Is there any update on this?
Comment 6 Richard W.M. Jones 2013-10-01 12:43:59 EDT
No, it needs some development work upstream to fix it.  ie patches
are welcome!  It's not an especially hard fix.
Comment 7 Alex Regan 2014-07-26 16:14:56 EDT
Just wondering if there's any update on this? I've upgraded the host to fedora20, hoping that now includes the fixes necessary to grow an LVM partition...
Comment 8 Richard W.M. Jones 2014-07-26 16:17:53 EDT
No I'm afraid there has still been no development work to
fix this (virt-resize on 2 disks).

Note You need to log in before you can comment on or make changes to this bug.